aboutsummaryrefslogtreecommitdiffstats
path: root/community/perl-unicode-string
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-08-25 07:00:17 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-08-25 07:00:17 +0000
commit0a1f92536ce5dd085ed3a9adc4046ce164a494d8 (patch)
tree6f19c363e31407cd0b5eed69f08e214d25e5a95b /community/perl-unicode-string
parent9656895abe83ec3d5b678fefce7e5d3780b8caa7 (diff)
downloadaports-0a1f92536ce5dd085ed3a9adc4046ce164a494d8.tar.gz
aports-0a1f92536ce5dd085ed3a9adc4046ce164a494d8.tar.bz2
aports-0a1f92536ce5dd085ed3a9adc4046ce164a494d8.tar.xz
community/perl-unicode-string: moved from testing
Diffstat (limited to 'community/perl-unicode-string')
-rw-r--r--community/perl-unicode-string/APKBUILD51
-rw-r--r--community/perl-unicode-string/perl-Unicode-String-2.09-undefined.patch12
2 files changed, 63 insertions, 0 deletions
diff --git a/community/perl-unicode-string/APKBUILD b/community/perl-unicode-string/APKBUILD
new file mode 100644
index 0000000000..5cece31300
--- /dev/null
+++ b/community/perl-unicode-string/APKBUILD
@@ -0,0 +1,51 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=perl-unicode-string
+_pkgreal=Unicode-String
+pkgver=2.09
+pkgrel=4
+pkgdesc="String of Unicode characters for perl (UCS2/UTF16)"
+url="http://search.cpan.org/dist/Unicode-String/"
+arch="all"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=" "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/G/GA/GAAS/$_pkgreal-$pkgver.tar.gz
+ perl-Unicode-String-2.09-undefined.patch
+ "
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ make && make test
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="553e68e603723bf7c631f8701ab0d678 Unicode-String-2.09.tar.gz
+b08a47f2bd8b046a98fe4951f3eb6e43 perl-Unicode-String-2.09-undefined.patch"
+sha256sums="c817bedb954ea2d488bade56059028b99e0198f6826482e2f68fd6d78653faad Unicode-String-2.09.tar.gz
+7128483d06c846a9fbfbc1dc501b755b879914885f12559fec30ac4f6fb12d39 perl-Unicode-String-2.09-undefined.patch"
+sha512sums="88bd5fe4a1e8ac05b7da5f75411f3e2cb17fb756ca926ace7f46d047ba7a7f22e54462efb61c2f0bf651d2c63d6fe74bffa8b7bcf49aa59847135a43b5cde759 Unicode-String-2.09.tar.gz
+b25a6c91d5ecc11dd3c8a675024111a3dfadaf3b22f2b3000f5fb3f7e79741b28aafa709b3c72ff7e6f4f936d8fbc38f50ca5994513b47badb57a31872e99450 perl-Unicode-String-2.09-undefined.patch"
diff --git a/community/perl-unicode-string/perl-Unicode-String-2.09-undefined.patch b/community/perl-unicode-string/perl-Unicode-String-2.09-undefined.patch
new file mode 100644
index 0000000000..184b447e95
--- /dev/null
+++ b/community/perl-unicode-string/perl-Unicode-String-2.09-undefined.patch
@@ -0,0 +1,12 @@
+diff -ru libunicode-string-perl-2.09.pristine/lib/Unicode/CharName.pm libunicode-string-perl-2.09/lib/Unicode/CharName.pm
+--- libunicode-string-perl-2.09.pristine/lib/Unicode/CharName.pm 2005-10-25 19:11:00.000000000 +0100
++++ libunicode-string-perl-2.09/lib/Unicode/CharName.pm 2012-01-24 12:56:59.730653088 +0000
+@@ -77,7 +77,7 @@
+ return join("", "HANGUL SYLLABLE ", @s)
+ }
+ }
+- _init_names() unless defined %NAMES;
++ _init_names() unless %NAMES;
+ $NAMES{sprintf("%04X",$code)}
+ }
+